TencentNavKit

Properties | List of all members
TNKUIComponentConfig Class Reference

`#import <TNKUIComponentConfig.h>`

Inheritance diagram for TNKUIComponentConfig:

## Properties
NSUInteger | panelTopGap
| 导航面板顶部空隙距离. 默认为全屏状态下避开状态栏. 取值范围为[0,100]. More...
NSUInteger | panelButtomGap
| 导航面板底部空隙距离. 预留给业务使用的区域.默认值0, 取值范围[0,. More...
BOOL | navigationPanelEnabled
| 是否展示顶部导航面板, 默认为YES More...
BOOL | guidedLaneEnabled
| 设置在3D车头朝上和2D地图朝北模式下 显示/隐藏路口车道线. 默认为YES 注意不管此参数如何设置，在全览模式和剩余全览模式下都会隐藏. More...
BOOL | showBottomToolbar
| 是否显示底部工具栏，默认NO（包含退出、剩余距离时间、预计到达时间、设置） More...
BOOL | showToast
| 是否显示提示(包括GPS变弱、恢复，切换路线成功，手动刷新路线)，默认NO More...
BOOL | showCurrentSpeedView
| 是否显示当前车速， 默认NO More...
BOOL | showGrossSpeedingView
| 是否展示严重超速视图，默认NO More...
BOOL | showTrafficBar
| 是否显示路况光柱图，默认NO，从7.0开始，光柱图默认是显示在下面的BottomToolbar上的（水平显示） More...
BOOL | showRoadTypeButton
| 是否显示主辅路切换按钮，默认NO More...
BOOL | showLimitSpeedAndCurrentRoadNameView
| 是否显示限速、当前路名， 默认NO More...
BOOL | showSmartLocView
| 是否显示智能定位. 默认NO. since 5.2.2 More...
BOOL | showOverviewButton
| 是否显示全览/退出全览切换按钮，默认NO More...
BOOL | showRouteRefreshButton
| 是否显示路线刷新按钮，默认为NO. since 5.2.5 More...
BOOL | showMapTrafficButton
| 是否显示切换实时路况的按钮,默认NO More...
BOOL | showBroadCastButton
| 是否显示语音播报按钮,默认NO More...
BOOL | showServiceAreaInfo
| 是否显示高速休息区信息，默认NO More...
BOOL | showSettingButton
| 是否显示设置按钮，默认NO More...
BOOL | showExitButton
| 是否显示退出按钮，默认NO More...

## Property Documentation

## ◆ guidedLaneEnabled

- (BOOL) guidedLaneEnabled
| readwritenonatomicassign

设置在3D车头朝上和2D地图朝北模式下 显示/隐藏路口车道线. 默认为YES 注意不管此参数如何设置，在全览模式和剩余全览模式下都会隐藏.

## ◆ navigationPanelEnabled

- (BOOL) navigationPanelEnabled
| readwritenonatomicassign

是否展示顶部导航面板, 默认为YES

## ◆ panelButtomGap

- (NSUInteger) panelButtomGap
| readwritenonatomicassign

导航面板底部空隙距离. 预留给业务使用的区域.默认值0, 取值范围[0,.

## ◆ panelTopGap

- (NSUInteger) panelTopGap
| readwritenonatomicassign

导航面板顶部空隙距离. 默认为全屏状态下避开状态栏. 取值范围为[0,100].

## ◆ showBottomToolbar

- (BOOL) showBottomToolbar
| readwritenonatomicassign

是否显示底部工具栏，默认NO（包含退出、剩余距离时间、预计到达时间、设置）

## ◆ showBroadCastButton

- (BOOL) showBroadCastButton
| readwritenonatomicassign

是否显示语音播报按钮,默认NO

## ◆ showCurrentSpeedView

- (BOOL) showCurrentSpeedView
| readwritenonatomicassign

是否显示当前车速， 默认NO

## ◆ showExitButton

- (BOOL) showExitButton
| readwritenonatomicassign

是否显示退出按钮，默认NO

## ◆ showGrossSpeedingView

- (BOOL) showGrossSpeedingView
| readwritenonatomicassign

是否展示严重超速视图，默认NO

## ◆ showLimitSpeedAndCurrentRoadNameView

- (BOOL) showLimitSpeedAndCurrentRoadNameView
| readwritenonatomicassign

是否显示限速、当前路名， 默认NO

## ◆ showMapTrafficButton

- (BOOL) showMapTrafficButton
| readwritenonatomicassign

是否显示切换实时路况的按钮,默认NO

## ◆ showOverviewButton

- (BOOL) showOverviewButton
| readwritenonatomicassign

是否显示全览/退出全览切换按钮，默认NO

## ◆ showRoadTypeButton

- (BOOL) showRoadTypeButton
| readwritenonatomicassign

是否显示主辅路切换按钮，默认NO

## ◆ showRouteRefreshButton

- (BOOL) showRouteRefreshButton
| readwritenonatomicassign

是否显示路线刷新按钮，默认为NO. since 5.2.5

## ◆ showServiceAreaInfo

- (BOOL) showServiceAreaInfo
| readwritenonatomicassign

是否显示高速休息区信息，默认NO

## ◆ showSettingButton

- (BOOL) showSettingButton
| readwritenonatomicassign

是否显示设置按钮，默认NO

## ◆ showSmartLocView

- (BOOL) showSmartLocView
| readwritenonatomicassign

是否显示智能定位. 默认NO. since 5.2.2

## ◆ showToast

- (BOOL) showToast
| readwritenonatomicassign

是否显示提示(包括GPS变弱、恢复，切换路线成功，手动刷新路线)，默认NO

## ◆ showTrafficBar

- (BOOL) showTrafficBar
| readwritenonatomicassign

是否显示路况光柱图，默认NO，从7.0开始，光柱图默认是显示在下面的BottomToolbar上的（水平显示）

The documentation for this class was generated from the following file:

- TNKUIComponentConfig.h